<?php

// Fichier de configuration principal de chaque BD
// François Audirac <francois@webaf.net>


/****** Données *****/

$titre="Histoire de formes";
$auteur="Odysseus";

/**** couleurs ****/
$couleurbandeau="#D39447";
$couleurfond="#326786";
$couleurpied="#B57526";
$couleurtitre="#0D3E5B";

$imgfond=""; // fond.png
$imglogo="logo-abuledu-bd.png"; // dans le dossier images
$couleurcartouchetexte="#7EA6BF";

$couleurombre="#4C4C4C";

/******************************* */
$TOONS    = "toons/";
$IMG    = "images/";
$ombre="-webkit-box-shadow: 4px 4px 5px 0px ".$couleurombre.";
	-moz-box-shadow: 4px 4px 5px 0px ".$couleurombre.";
	-o-box-shadow: 0px 10px 5px 0px ".$couleurombre.";
	box-shadow: 4px 4px 5px 0px ".$couleurombre;
	
/******************************/	

$listimg = "";
$listminiimg="";
$files = scandir($TOONS);
// tri des images

foreach ($files as $key => $value)
   {
      if (!in_array($value,array(".","..")))
      {
			if (strstr($value,"_mini.png")) {
				$listminiimg.="\"".$value."\",";
			} else {
				$listimg.="\"".$value."\",";
			}
	  }
  }

// suppression du dernier caractère
$listminiimg = substr($listminiimg,0,strlen($listminiimg)-1);
$listimg = substr($listimg,0,strlen($listimg)-1);
// listimg et listminiimg contiennent la liste des images et vignettes utiles pour le javascript.

?>

<style>

body {
	background: <?php echo $couleurfond; ?> url(<?php echo $IMG.$imgfond; ?>);
}

#en-tete {
	<?php echo $ombre; ?>;
	background: <?php echo $couleurbandeau; ?>
}	

#cscreen canvas {
	<?php echo $ombre; ?>;
}	

#titre{
	color: <?php echo $couleurtitre; ?>;
}
#footer {
	background-color: <?php echo $couleurpied; ?>
}
.bouton{
	<?php echo $ombre; ?>;
}	

.mini {
	<?php echo $ombre; ?>;
}	

.texte1:before { 
	border-left: 20px solid <?php echo $couleurcartouchetexte; ?>;
}

.texte1 {
	<?php echo $ombre; ?>;
	background: <?php echo $couleurcartouchetexte; ?>;
}
.texte2:before { 
	border-top: 25px solid <?php echo $couleurcartouchetexte; ?>;
}

.texte2 {
	<?php echo $ombre; ?>;
	background: <?php echo $couleurcartouchetexte; ?>;
}

.bouton {
	background: <?php echo $couleurcartouchetexte; ?>;
}

.bouton a {
	background: <?php echo $couleurcartouchetexte; ?>;
}

.ptitbouton {
	background: <?php echo $couleurcartouchetexte; ?>;
}


</style>

